%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 27 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 44
Release:	%{REL}

License:	GP5

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 22 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-44
* Release 1.1.r17-44
	Rebuilt all kernel modules using the latest version of LiME.

* Thu Nov 29 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-43
* Release 1.1.r17-43
	Kernel modules were added for the following kernels:
		4.18.19-100

* Mon Nov 16 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-42
* Release 1.1.r17-42
	Kernel modules were added for the following kernels:
		4.18.18-100

* Mon Nov  5 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-41
* Release 1.1.r17-41
	Kernel modules were added for the following kernels:
		4.18.16-100

* Fri Oct 26 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-40
* Release 1.1.r17-40
	Kernel modules were added for the following kernels:
		4.18.15-100

* Fri Oct 19 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-39
* Release 1.1.r17-39
	Kernel modules were added for the following kernels:
		4.18.13-100

* Thu Oct 11 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-38
* Release 1.1.r17-38
	Kernel modules were added for the following kernels:
		4.18.12-100

* Fri Oct  5 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-37
* Release 1.1.r17-37
	Kernel modules were added for the following kernels:
		4.18.9-100
		4.18.10-100

* Fri Sep 21 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-36
* Release 1.1.r17-36
	Kernel modules were added for the following kernels:
		4.18.7-100

* Fri Sep  7 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-35
* Release 1.1.r17-35
	Kernel modules were added for the following kernels:
		4.17.19-100

* Fri Aug 30 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-34
* Release 1.1.r17-34
	Kernel modules were added for the following kernels:
		4.17.17-100

* Fri Aug 17 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-33
* Release 1.1.r17-33
	Kernel modules were added for the following kernels:
		4.17.14-102

* Fri Aug 10 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-32
* Release 1.1.r17-32
	Kernel modules were added for the following kernels:
		4.17.12-100
		4.17.11-100

* Fri Aug  3 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-31
* Release 1.1.r17-31
	Kernel modules were added for the following kernels:
		4.17.9-100
		4.17.7-100

* Fri Jul 20 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-30
* Release 1.1.r17-30
	Kernel modules were added for the following kernels:
		4.17.6-100
		4.17.5-100
		4.17.3-100

* Fri Jun 29 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-29
* Release 1.1.r17-29
	Kernel modules were added for the following kernels:
		4.17.2-100
		4.16.16-200

* Fri Jun 22 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-28
* Release 1.1.r17-28
	Kernel modules were added for the following kernels:
		4.16.15-200

* Fri Jun 15 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-27
* Release 1.1.r17-27
	Kernel modules were added for the following kernels:
		4.16.14-200

* Fri Jun  8 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-26
* Release 1.1.r17-26
	Kernel modules were added for the following kernels:
		4.16.13-200

* Fri Jun  1 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-25
* Release 1.1.r17-25
	Kernel modules were added for the following kernels:
		4.16.12-200
		4.16.11-200

* Fri May 25 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-24
* Release 1.1.r17-24
	Kernel modules were added for the following kernels:
		4.16.9-200

* Fri May 11 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-23
* Release 1.1.r17-23
	Kernel modules were added for the following kernels:
		4.16.7-200
		4.16.6-202
		4.16.5-200
		4.16.4-200
		4.16.3-200

* Fri Apr 27 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-22
* Release 1.1.r17-22
	Kernel modules were added for the following kernels:
		4.15.17-300

* Tue Apr 17 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-21
* Release 1.1.r17-21
	Kernel modules were added for the following kernels:
		4.15.16-300
		4.15.15-300

* Fri Apr  6 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-20
* Release 1.1.r17-20
	Kernel modules were added for the following kernels:
		4.15.14-300
		4.15.13-300

* Wed Mar 28 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-19
* Release 1.1.r17-19
	Kernel modules were added for the following kernels:
		4.15.12-301

* Fri Mar 23 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-18
* Release 1.1.r17-18
	Kernel modules were added for the following kernels:
		4.15.10-300
		4.15.9-300

* Fri Mar 16 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-17
* Release 1.1.r17-17
	Kernel modules were added for the following kernels:
		4.15.8-300
		4.15.7-300

* Fri Mar  9 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-16
* Release 1.1.r17-16
	Kernel modules were added for the following kernels:
		4.15.6-300

* Wed Feb 28 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-15
* Release 1.1.r17-15
	Kernel modules were added for the following kernels:
		4.15.4-300

* Wed Feb 21 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-14
* Release 1.1.r17-14
	Kernel modules were added for the following kernels:
		4.15.3-300

* Fri Feb 16 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-13
* Release 1.1.r17-13
	Kernel modules were added for the following kernels:
		4.14.18-300

* Fri Feb  9 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-12
* Release 1.1.r17-12
	Kernel modules were added for the following kernels:
		4.14.16-300

* Fri Jan 26 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Kernel modules were added for the following kernels:
		4.14.14-300
		4.14.13-300

* Fri Jan  5 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Kernel modules were added for the following kernels:
		4.14.11-300

* Fri Dec 29 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Kernel modules were added for the following kernels:
		4.14.7-300
		4.14.8-300

* Tue Dec 19 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Kernel modules were added for the following kernels:
		4.14.6-300

* Fri Dec 15 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Kernel modules were added for the following kernels:
		4.14.5-300

* Mon Dec 11 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-6
* Release 1.1.r17-6
	Kernel modules were added for the following kernels:
		4.14.3-300

* Tue Dec  5 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Kernel modules were added for the following kernels:
		4.13.16-302

* Sat Dec  2 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Kernel modules were added for the following kernels:
		4.13.16-300

* Tue Nov 28 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Kernel modules were added for the following kernels:
		4.13.15-300

* Wed Nov 22 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Kernel modules were added for the following kernels:
		4.13.13-300
		4.13.9-300

* Mon Nov 20 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Initial release. Kernel modules were added for the following kernels:
		4.13.12-300
